2007 alumin. imac & 10.7 osx

Discussion in 'iMac' started by talkindrum, Mar 27, 2013.

  1. talkindrum macrumors newbie

    Joined:
    Oct 23, 2008
    #1
    i was told my older imac, late 2007 intel core 2 duo 2.4ghz, 4gb ram, will not upgrade to osx 10.7 ... i am currently at 10.6.8, i was told that is my cut-off for upgrades for osx on my imac. is this true ??? :eek: he said my imac would reject the upgrade???
     
  2. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #2
    Not true. Your iMac can run Mountain Lion (10.8), if you choose. Lion (10.7) is no longer offered for sale.

    You can find specs on all Apple products, including maximum OS version:
     
  3. firedept macrumors 603

    firedept

    Joined:
    Jul 8, 2011
    Location:
    Somewhere!
    #3
    I have the exact iMac you quote. It is currently running 10.8.3 with no issues. Has been running ML since its release.
     
  4. talkindrum thread starter macrumors newbie

    Joined:
    Oct 23, 2008
    #4
    Thank you so very much! i thought it sounded funny ... he was not an Apple guy he works at Micro center

    ----------

    Thank you !!! what is the best way to get the upgrade ? should i take it in to Apple store?
     
  5. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #5
    You can buy Mountain Lion on the Mac App Store and download it. There's no need to visit a store.

    Apple - Upgrade your Mac to OS X Mountain Lion.
     
  6. talkindrum thread starter macrumors newbie

    Joined:
    Oct 23, 2008
    #6
    sorry to bother ya again but, do you think the upgrade will tax my system and slow the computer down ? or should it run mt. lion fine.?
     
  7. GGJstudios macrumors Westmere

    GGJstudios

    Joined:
    May 16, 2008
    #7
    It should run ML fine. The impact on performance seems to vary from one user to another. Some claim it's faster, some slower.

    The real question is why do you want to upgrade? Is there some feature or function in ML that you want that isn't present with SL? I still run SL and have found no reason to upgrade, as ML offers nothing I need or want.
     
  8. talkindrum thread starter macrumors newbie

    Joined:
    Oct 23, 2008
    #8
    i would not upgrade but for the fact that my music software "Reason" V.7 is launching next mo. and it requires 10.7 or higher, aint that the way? darn it...
     

Share This Page